> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chargeapi.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Detach a driver

Detaches a driver from a fleet. The driver remains in Charge and can be attached again later.

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST https://api.chargeapi.co/v1/drivers/drv_jFme4vQtEAyhWAWt18YgmYvHSUL4AXx5/detach \
    -H "Authorization: Bearer ch_sk_test_..." \
    --json '{
    "fleet": "flt_HpGdGBwWHWAAZnAxuxiPdUiO8uLj8Kk8"
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
      "id": "drv_jFme4vQtEAyhWAWt18YgmYvHSUL4AXx5",
      "object": "driver",
      "created": "2026-04-01T00:15:50.826Z",
      "email": "example@example.com",
      "fleets": [],
      "license_number": null,
      "metadata": {},
      "name": "Example Driver",
      "phone": null,
      "policy_ids": ["pol_63Y8tKmKLDoFZzg2OtBQp4RHJ8zFT4Lq"],
      "preferences": {
          "charging_speed": "fast",
          "currency": "eur",
          "default_payment_method": null,
          "max_price_per_kwh": null,
          "notifications": true,
          "preferred_charging_stations": ["chst_4FZiRdOLdrq4vqnFI8mycph4eAuqoJsU"],
          "preferred_cpos": ["example_operator"]
      },
      "status": "active",
      "updated": "2026-04-01T01:16:32.263Z",
      "vehicles": ["veh_Qy85Av6BkY1gGKQM5fhqc543tAXpxsAk"],
      "wallet_balance": 1875
  }
  ```
</ResponseExample>

## Parameters

<ParamField body="fleet" type="string" required>
  ID of the fleet to attach or detach.
</ParamField>

## Returns

Returns the driver.
